curl https://api.truthlocks.com/v1/policies \
-H "X-API-Key: tlk_your_key_here"
[
{
"id": "pol_abc123",
"tenant_id": "tenant-uuid",
"name": "US Issuers Only",
"category": "MINT",
"status": "ACTIVE",
"description": "Restrict minting to US-based issuers",
"rules": {
"rules": [
{
"id": "us_only",
"description": "US jurisdiction required",
"conditions": [
{ "field": "jurisdiction", "op": "eq", "value": "US" }
],
"effect": "ALLOW"
}
],
"default_effect": "DENY"
},
"version": 1,
"language": "json_rules",
"created_at": "2026-03-31T10:00:00Z",
"updated_at": "2026-03-31T10:00:00Z"
},
{
"id": "pol_def456",
"tenant_id": "tenant-uuid",
"name": "Enterprise Export Only",
"category": "BUNDLE_EXPORT",
"status": "DRAFT",
"description": "Restrict proof-bundle exports to enterprise issuers",
"rules": {
"rules": [
{
"id": "block_non_enterprise",
"description": "Only enterprise-tier issuers can export bundles",
"conditions": [
{ "field": "trust_tier", "op": "nin", "value": ["enterprise", "regulated_issuer"] }
],
"effect": "DENY"
}
],
"default_effect": "ALLOW"
},
"version": 1,
"language": "json_rules",
"created_at": "2026-03-30T14:00:00Z",
"updated_at": "2026-03-30T14:00:00Z"
}
]
Retrieve all policies for the authenticated tenant.
curl https://api.truthlocks.com/v1/policies \
-H "X-API-Key: tlk_your_key_here"
[
{
"id": "pol_abc123",
"tenant_id": "tenant-uuid",
"name": "US Issuers Only",
"category": "MINT",
"status": "ACTIVE",
"description": "Restrict minting to US-based issuers",
"rules": {
"rules": [
{
"id": "us_only",
"description": "US jurisdiction required",
"conditions": [
{ "field": "jurisdiction", "op": "eq", "value": "US" }
],
"effect": "ALLOW"
}
],
"default_effect": "DENY"
},
"version": 1,
"language": "json_rules",
"created_at": "2026-03-31T10:00:00Z",
"updated_at": "2026-03-31T10:00:00Z"
},
{
"id": "pol_def456",
"tenant_id": "tenant-uuid",
"name": "Enterprise Export Only",
"category": "BUNDLE_EXPORT",
"status": "DRAFT",
"description": "Restrict proof-bundle exports to enterprise issuers",
"rules": {
"rules": [
{
"id": "block_non_enterprise",
"description": "Only enterprise-tier issuers can export bundles",
"conditions": [
{ "field": "trust_tier", "op": "nin", "value": ["enterprise", "regulated_issuer"] }
],
"effect": "DENY"
}
],
"default_effect": "ALLOW"
},
"version": 1,
"language": "json_rules",
"created_at": "2026-03-30T14:00:00Z",
"updated_at": "2026-03-30T14:00:00Z"
}
]
DRAFT, ACTIVE, and DISABLED.
[
{
"id": "pol_abc123",
"tenant_id": "tenant-uuid",
"name": "US Issuers Only",
"category": "MINT",
"status": "ACTIVE",
"description": "Restrict minting to US-based issuers",
"rules": {
"rules": [
{
"id": "us_only",
"description": "US jurisdiction required",
"conditions": [
{ "field": "jurisdiction", "op": "eq", "value": "US" }
],
"effect": "ALLOW"
}
],
"default_effect": "DENY"
},
"version": 1,
"language": "json_rules",
"created_at": "2026-03-31T10:00:00Z",
"updated_at": "2026-03-31T10:00:00Z"
},
{
"id": "pol_def456",
"tenant_id": "tenant-uuid",
"name": "Enterprise Export Only",
"category": "BUNDLE_EXPORT",
"status": "DRAFT",
"description": "Restrict proof-bundle exports to enterprise issuers",
"rules": {
"rules": [
{
"id": "block_non_enterprise",
"description": "Only enterprise-tier issuers can export bundles",
"conditions": [
{ "field": "trust_tier", "op": "nin", "value": ["enterprise", "regulated_issuer"] }
],
"effect": "DENY"
}
],
"default_effect": "ALLOW"
},
"version": 1,
"language": "json_rules",
"created_at": "2026-03-30T14:00:00Z",
"updated_at": "2026-03-30T14:00:00Z"
}
]
curl https://api.truthlocks.com/v1/policies \
-H "X-API-Key: tlk_your_key_here"